Subject: RE: A few clarifications ...

From: "Noveck, Dave" <[email-masked]>
Date: Mon, 6 Aug 2001 10:09:05 -0700

It looks like TR-3085 was based on an a pre-RFC draft, before
we clarified things by distinguishing recall and revocation.

Sorry about that. 

-----Original Message-----
From: Ramesh Shankar [mailto:[email-masked]]
Sent: Tuesday, July 31, 2001 7:30 PM
To: nfsv4
Subject: Re: A few clarifications ...

> 
>  > 3. Section 9.4.4 and section 9.5 (Page 84) are *totally* confusing.
>  > While it makes it appear in earlier sections (9.4.3, forexample) as if a
>  > client can continue to keep a file for which delegation has been opened
>  > by applying buffered opens and obtaining the correct stateids for use
>  > with READ/WRITE after the delegation is revoked, these sections seem to
>  > imply that such a case cannot be handled. I would assume that when a
>  > client loses delegation, it is to be interpreted to mean that the file
>  > is shared by other clients and it must not attempt to cache data for
>  > reading and writing without using cache validation techniques or
>  > explicit byte range locks.
> 
>  I think you're confusing delegation recall and revocation.
> 

After seeing the cryptic :-# remark by Brent, I found out that the terms 
"recall" and "revocation" are used differently in the NFSv4 RFC. It 
would be useful if this is made more obvious than being hidden in some 
para. Interestingly, the NetApp technical report TR3085 "The NFS Version 
4 protocol" (also available from the www.nfsv4.org) uses the term 
"revoke" in the way the RFC uses the term "recall".

Thanks,

S.R.